#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Scope
%define	pnam	Upper
Summary:	Scope::Upper - Act on upper scopes.
#Summary(pl.UTF-8):	
Name:		perl-Scope-Upper
Version:	0.22
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Scope/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ad98b934247be411c1cc15d73844bca4
URL:		http://search.cpan.org/dist/Scope-Upper/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module lets you defer actions at run-time that will take place
when the control flow returns into an upper scope.

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a samples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorarch}/Scope
%dir %{perl_vendorarch}/auto/Scope
%{perl_vendorarch}/Scope/*.pm
%dir %{perl_vendorarch}/auto/Scope/Upper
%{perl_vendorarch}/auto/Scope/Upper/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Scope/Upper/*.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Jun 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Scope-Upper.git;a=log;h=master

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> b360936
- up to 0.22

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f93f7de
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 3e97ffe
- up to 0.18

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> edc4ee7
- release 2

* Tue Oct 13 2009 amateja <amateja@pld-linux.org> 5b21f84
- updated to 0.09

* Sun Mar 01 2009 radek <radek@pld-linux.org> 0ace432
- new

